/* DC9 update
 Esto es requerido por Dynamic C versin 9, para utilizar
una IP fija en programa y la interfaz Ethernet por defecto.
No es necesario en DC8, se autodefinen en las libs */
#define TCPCONFIG 0
#define USE_ETHERNET		1
/* Fin DC9 update */


#define FROM     "scaprile@ellie"
#define TO       "scaprile@ellie"
#define SUBJECT  "Rabbit email"
#define BODY1    "Alguien presion el botn"
#define BODY2    "\r\nSaludos, RCM2200."

#define SMTP_SERVER "192.168.1.50"

#define MY_IP_ADDRESS   "192.168.1.54"
#define MY_NETMASK      "255.255.255.0"

#define MY_GATEWAY		"192.168.1.1"
#define MY_NAMESERVER	"200.49.156.3"

#ximport "index.html"     index_html
#ximport "rabbit1.gif"    rabbit1_gif

#memmap xmem
#use "dcrtcp.lib"
#use "smtp.lib"
#use "http.lib"

const HttpType http_types[] =
{
   { ".html", "text/html", NULL},           // html
   { ".gif", "image/gif", NULL}
};

const static HttpSpec http_flashspec[] =
{
   { HTTPSPEC_FILE,  "/",              index_html,    NULL, 0, NULL, NULL},
   { HTTPSPEC_FILE,  "/index.html",    index_html,    NULL, 0, NULL, NULL},
   { HTTPSPEC_FILE,  "/rabbit1.gif",   rabbit1_gif,   NULL, 0, NULL, NULL}
};

main()
{
int i,mail;
char body[256];

   mail=0;
	sock_init();
	http_init();
	WrPortI(PEFR,&PEFRShadow,PEFRShadow & ~0x82);
	WrPortI(PEDDR,&PEDDRShadow,PEDDRShadow | 0x82);
	WrPortI(PEDR,&PEDRShadow,PEDRShadow | 0x82);			/* apaga ambos LEDs */
   while(1){
   	http_handler();
   	costate{
  			if(!BitRdPortI(PBDR,2)){
			   WrPortI(PEB1R, NULL, 0);						/* Prende el LED DS2 */
  	         sprintf(body,"%s S2 %s",BODY1,BODY2);
     	      if(!mail)
              	mail=1;
         }
			else
			   WrPortI(PEB1R, NULL, 0xFF);					/* Apaga el LED DS2 */
			if(!BitRdPortI(PBDR,3)){
			   WrPortI(PEB7R, NULL, 0);						/* Prende el LED DS3 */
  	         sprintf(body,"%s S3 %s",BODY1,BODY2);
     	      if(!mail)
              	mail=1;
			}
			else
			   WrPortI(PEB7R, NULL, 0xFF);					/* Apaga el LED DS3 */
      }
		costate{
         if(mail){
            printf("Listo a enviar:\n\t%s\n",body);
				smtp_sendmail(TO, FROM, SUBJECT, body);
            printf("Enviando...\n");
  				waitfor(smtp_mailtick()!=SMTP_PENDING);
            printf("Listo.\n");
            waitfor(DelaySec(30));		 	/* espera 30 segundos */
  	      	mail=0; 							/* antes de permitir otro mail */
         }
      }
	}
}

