#asm

asm_LED2::
		ld hl,PEDRShadow		; apunta a shadow
		res 1,(hl)				; prende LED (todava no)
      xor a						; borra acumulador
		ld hl,(sp+2)			; lee parmetro
		or l						; era eso ? (test L=0)
		ld hl,PEDRShadow		; apunta a shadow (no modif flags)
		jr z,ok1					; s
      set 1,(HL)				; no, apaga LED (en shadow)
ok1:  ld de,PEDR				; apunta a port paralelo
		ioi ldd					; do it
		ret

asm_LED3::
		ld hl,PEDR				; apunta a port
		ioi res 7,(hl)			; prende LED
      xor a						; borra acumulador
		ld hl,(sp+2)			; lee parmetro
		or l						; era eso ? (test L=0)
		ld hl,PEDR				; apunta a port (no modif flags)
		ret z						; s, chau
      ioi set 7,(HL)			; no, apaga LED
		ret

#endasm

main()
{

		WrPortI(PEFR,&PEFRShadow,0);
		WrPortI(PEDDR,&PEDDRShadow,0x82);
		WrPortI(PECR,&PECRShadow,0);
		WrPortI(PEDR,&PEDRShadow,0x82); 					/* apaga ambos LEDs */
		while(1){
			asm_LED2(BitRdPortI(PBDR,2));					/* Controla el LED DS2 */
			asm_LED3(BitRdPortI(PBDR,3));					/* Controla el LED DS3 */
     }
}
// asm_LED2 sobreescribe el estado de DS3 debido al Shadow

