/* DC9 update
 Esto es requerido por Dynamic C versin 9, para utilizar
una IP fija en programa y la interfaz Ethernet por defecto.
No es necesario en DC8, se autodefinen en las libs */
#define TCPCONFIG 0
#define USE_ETHERNET		1
/* Fin DC9 update */


#define MY_IP_ADDRESS   "192.168.1.54"
#define MY_NETMASK      "255.255.255.0"

#define MY_GATEWAY		"192.168.1.1"

#ximport "index.html"     index_html
#ximport "rabbit1.gif"    rabbit1_gif

#define HTTP_VERBOSE

#memmap xmem
#use "dcrtcp.lib"
#use "http.lib"

const HttpType http_types[] =
{
   { ".html", "text/html", NULL},           // html
   { ".gif", "image/gif", NULL}
};

const static HttpSpec http_flashspec[] =
{
   { HTTPSPEC_FILE,  "/",              index_html,    NULL, 0, NULL, NULL},
   { HTTPSPEC_FILE,  "/index.html",    index_html,    NULL, 0, NULL, NULL},
   { HTTPSPEC_FILE,  "/rabbit1.gif",   rabbit1_gif,   NULL, 0, NULL, NULL}
};

main()
{
	sock_init();
	http_init();
   while(1){
   	http_handler();
	}
}

